Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class BuildFileProjectSpec

    java.lang.Object
      org.gradle.initialization.AbstractProjectSpec
          org.gradle.initialization.BuildFileProjectSpec

All Implemented Interfaces:
  ProjectSpec

    public class BuildFileProjectSpec

extends AbstractProjectSpec

Constructor Summary
`BuildFileProjectSpec(java.io.File buildFile)`

Method Summary
`protected void` | `checkPreconditions(org.gradle.api.internal.project.IProjectRegistry<?> registry)`
`boolean` | `equals(java.lang.Object obj)`
`protected java.lang.String` | `formatMultipleMatchesMessage(java.lang.Iterable<? extends org.gradle.api.internal.project.ProjectIdentifier> matches)`
`protected java.lang.String` | `formatNoMatchesMessage()`
`java.lang.String` | `getDisplayName()`
`int` | `hashCode()`
`protected boolean` | `select(org.gradle.api.internal.project.ProjectIdentifier project)`

Methods inherited from class org.gradle.initialization.AbstractProjectSpec
`containsProject, selectProject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildFileProjectSpec

    public BuildFileProjectSpec(java.io.File buildFile)

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

### formatNoMatchesMessage

    protected java.lang.String formatNoMatchesMessage()

  Specified by:
    `formatNoMatchesMessage` in class `AbstractProjectSpec`

### formatMultipleMatchesMessage

    protected java.lang.String formatMultipleMatchesMessage(java.lang.Iterable<? extends org.gradle.api.internal.project.ProjectIdentifier> matches)

  Specified by:
    `formatMultipleMatchesMessage` in class `AbstractProjectSpec`

### select

    protected boolean select(org.gradle.api.internal.project.ProjectIdentifier project)

  Specified by:
    `select` in class `AbstractProjectSpec`

### checkPreconditions

    protected void checkPreconditions(org.gradle.api.internal.project.IProjectRegistry<?> registry)

  Overrides:
    `checkPreconditions` in class `AbstractProjectSpec`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD